Kerbal Space Program - Bug #24536
Orbit changing with no input
12/30/2019 02:43 PM - Vedra

Status: Ready to Test Start date: 12/30/2019
Severity: Low % Done: 80%
Assignee:
Category: Physics
Target version: PS4 - Enhanced Edition 2020-02-19
Patch 11
Version: PS4 - Enhanced Edition 2019-12-10 Language: English (US)
Patch 10
Platform: PS4 Mod Related: No
Expansion: Breaking Ground, Core Game, Making
History
Description

Orbits are constantly changing without any input. Both apo/peri climb/fall after achieving what should be stable, circular orbits.

https://youtu.be/fgkrDIh93V8
HD enabled to show redadouts in map mode.

This video shows an example. Vessel in orbit of mun circularized above 80km. Apo/peri changing on their own.
Vessel contains pistons and a kal from breaking ground, and 9 individual probe cores in total.

Save reload doesn’t not fix, but viewing vessel from tracking station shows stable orbit.
Resuming control of vessel initiates the bug again.

I've experienced the same with vessels contains no robotics, both at Mun and Kerbin orbit.

This bug makes docking and rendezvous much harder than usual.

History

#1 - 12/30/2019 02:43 PM - Vedra

- Subject changed from Orbit changing after circularization to Orbit changing with no input

#2 - 02/20/2020 07:27 PM - chris.fulton

- Status changed from New to Ready to Test

- Target version set to PS4 - Enhanced Edition 2020-02-19 Patch 11
- % Done changed from 0 to 80

Setting to RTT, latest patch 11 release addressed this issue. Please test and set to resolved if it is indeed fixed.

#3 - 01/20/2021 01:18 PM - svpluto2

Problem still exists.
